libzypp: zypp::media::TransferSettings::Impl Class Reference

libzypp 17.38.5

zypp::media::TransferSettings::Impl Class Reference

## Public Member Functions
| Impl ()
| Impl (const Impl &)=default
| Impl (Impl &&)=default
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
virtual | ~Impl ()
void | safeAddHeader (std::string val_r)

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Public Attributes
std::vector< std::string > | _headers
std::string | _useragent
std::string | _username
std::string | _password
bool | _useproxy
std::string | _proxy
std::string | _proxy_username
std::string | _proxy_password
std::string | _authtype
long | _timeout
long | _connect_timeout
Url | _url
Pathname | _targetdir
long | _maxConcurrentConnections
long | _minDownloadSpeed
long | _maxDownloadSpeed
long | _maxSilentTries
bool | _verify_host
bool | _verify_peer
Pathname | _ca_path
Pathname | _client_cert_path
Pathname | _client_key_path
bool | _enableCookieFile
bool | _head_requests_allowed

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

Definition at line 36 of file transfersettings.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::media::TransferSettings::Impl::Impl | ( |  | ) |
| inline

Definition at line 39 of file transfersettings.cc.

## ◆ Impl() [2/3]

zypp::media::TransferSettings::Impl::Impl | ( | const Impl & |  | ) |
| default

## ◆ Impl() [3/3]

zypp::media::TransferSettings::Impl::Impl | ( | Impl && |  | ) |
| default

## ◆ ~Impl()

virtual zypp::media::TransferSettings::Impl::~Impl | ( |  | ) |
| inlinevirtual

Definition at line 57 of file transfersettings.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::media::TransferSettings::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::media::TransferSettings::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ nullimpl()

shared_ptr< Impl > zypp::media::TransferSettings::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 60 of file transfersettings.cc.

## ◆ clone()

Impl * zypp::media::TransferSettings::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 69 of file transfersettings.cc.

## ◆ safeAddHeader()

void zypp::media::TransferSettings::Impl::safeAddHeader | ( | std::string | val_r | ) |
| inline

Definition at line 73 of file transfersettings.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _headers

std::vector<std::string> zypp::media::TransferSettings::Impl::_headers

Definition at line 84 of file transfersettings.cc.

## ◆ _useragent

std::string zypp::media::TransferSettings::Impl::_useragent

Definition at line 85 of file transfersettings.cc.

## ◆ _username

std::string zypp::media::TransferSettings::Impl::_username

Definition at line 86 of file transfersettings.cc.

## ◆ _password

std::string zypp::media::TransferSettings::Impl::_password

Definition at line 87 of file transfersettings.cc.

## ◆ _useproxy

bool zypp::media::TransferSettings::Impl::_useproxy

Definition at line 88 of file transfersettings.cc.

## ◆ _proxy

std::string zypp::media::TransferSettings::Impl::_proxy

Definition at line 89 of file transfersettings.cc.

## ◆ _proxy_username

std::string zypp::media::TransferSettings::Impl::_proxy_username

Definition at line 90 of file transfersettings.cc.

## ◆ _proxy_password

std::string zypp::media::TransferSettings::Impl::_proxy_password

Definition at line 91 of file transfersettings.cc.

## ◆ _authtype

std::string zypp::media::TransferSettings::Impl::_authtype

Definition at line 92 of file transfersettings.cc.

## ◆ _timeout

long zypp::media::TransferSettings::Impl::_timeout

Definition at line 93 of file transfersettings.cc.

## ◆ _connect_timeout

long zypp::media::TransferSettings::Impl::_connect_timeout

Definition at line 94 of file transfersettings.cc.

## ◆ _url

Url zypp::media::TransferSettings::Impl::_url

Definition at line 95 of file transfersettings.cc.

## ◆ _targetdir

Pathname zypp::media::TransferSettings::Impl::_targetdir

Definition at line 96 of file transfersettings.cc.

## ◆ _maxConcurrentConnections

long zypp::media::TransferSettings::Impl::_maxConcurrentConnections

Definition at line 98 of file transfersettings.cc.

## ◆ _minDownloadSpeed

long zypp::media::TransferSettings::Impl::_minDownloadSpeed

Definition at line 99 of file transfersettings.cc.

## ◆ _maxDownloadSpeed

long zypp::media::TransferSettings::Impl::_maxDownloadSpeed

Definition at line 100 of file transfersettings.cc.

## ◆ _maxSilentTries

long zypp::media::TransferSettings::Impl::_maxSilentTries

Definition at line 101 of file transfersettings.cc.

## ◆ _verify_host

bool zypp::media::TransferSettings::Impl::_verify_host

Definition at line 103 of file transfersettings.cc.

## ◆ _verify_peer

bool zypp::media::TransferSettings::Impl::_verify_peer

Definition at line 104 of file transfersettings.cc.

## ◆ _ca_path

Pathname zypp::media::TransferSettings::Impl::_ca_path

Definition at line 105 of file transfersettings.cc.

## ◆ _client_cert_path

Pathname zypp::media::TransferSettings::Impl::_client_cert_path

Definition at line 106 of file transfersettings.cc.

## ◆ _client_key_path

Pathname zypp::media::TransferSettings::Impl::_client_key_path

Definition at line 107 of file transfersettings.cc.

## ◆ _enableCookieFile

bool zypp::media::TransferSettings::Impl::_enableCookieFile

Definition at line 109 of file transfersettings.cc.

## ◆ _head_requests_allowed

bool zypp::media::TransferSettings::Impl::_head_requests_allowed

Definition at line 112 of file transfersettings.cc.

The documentation for this class was generated from the following file:

- zypp-curl/transfersettings.cc